/*
 * This is a manifest file that'll be compiled into application.css, which will include all the files
 * listed below.
 *
 * Any CSS (and SCSS, if configured) file within this directory, lib/assets/stylesheets, or any plugin's
 * vendor/assets/stylesheets directory can be referenced here using a relative path.
 *
 * You're free to add application-wide styles to this file and they'll appear at the bottom of the
 * compiled file so the styles you add here take precedence over styles defined in any other CSS
 * files in this directory. Styles in this file should be added after the last require_* statement.
 * It is generally better to create a new file per style scope.
 *
 *= require_tree .
 *= require_self
 */

/* 
    Most of the styling is handled with Bulma's semantic classes
    These styles are mostly for edge cases.
*/
body {
	display: flex;
	flex-direction: column;
	
	background: #F3F6F9;
	min-height: 100vh;
}

main {
 flex: 1;
}

.copy-button svg {
	margin-left: 7px;
}

.flash-message {
    display: flex;
    justify-content: center;
    align-items: center;
}

body .content .flash-message p {
    margin-bottom: 0;
}

.flash-message .copy-button {
    display: block;
}

.flash-message .copy-button, .links-table .copy-button {
	width: 100px;
}

footer.footer {
	background-color: #212E50;
	color: #F3F6F9;
}

